from datetime import datetime
from uuid import uuid4

from catalystwan.models.templates import FeatureTemplateInformation

ospfv3 = FeatureTemplateInformation(
    last_updated_by="admin",
    id=str(uuid4()),
    factory_default=False,
    name="Ospfv3",
    devices_attached=0,
    description="HnQSYJsm",
    last_updated_on=datetime.now(),
    resource_group="global",
    template_type="cisco_ospfv3",
    device_type=["vedge-C1101-4PLTEPW"],
    config_type="template",
    version="15.0.0",
    template_definition='{"ospfv3":{"address-family":{"ipv4":{"router-id":{"vipObj'
    'ectType":"object","vipType":"constant","vipValue":"2.3.3.3","vipVariableName":"os'
    'pfv3_router_id"},"auto-cost":{"reference-bandwidth":{"vipObjectType":"object","vi'
    'pType":"ignore","vipValue":100,"vipVariableName":"ospfv3_reference_bandwidth"}},"'
    'distance-ipv4":{"distance":{"vipObjectType":"object","vipType":"constant","vipVal'
    'ue":22,"vipVariableName":"ospfv3_distance_distance"},"ospf":{"external":{"vipObje'
    'ctType":"object","vipType":"constant","vipValue":33,"vipVariableName":"ospfv3_dis'
    'tance_external"},"inter-area":{"vipObjectType":"object","vipType":"constant","vip'
    'Value":223,"vipVariableName":"ospfv3_distance_inter_area"},"intra-area":{"vipObje'
    'ctType":"object","vipType":"constant","vipValue":23,"vipVariableName":"ospfv3_dis'
    'tance_intra_area"}}},"table-map":{"name":{"vipObjectType":"object","vipType":"ign'
    'ore","vipVariableName":"ospfv3_distance_name"},"filter":{"vipObjectType":"node-on'
    'ly","vipType":"constant","vipValue":"true","vipVariableName":"ospf_distance_filte'
    'r"}},"compatible":{"rfc1583":{"vipObjectType":"object","vipType":"constant","vipV'
    'alue":"true","vipVariableName":"ospfv3_rfc1583"}},"timers":{"throttle":{"spf":{"d'
    'elay":{"vipObjectType":"object","vipType":"ignore","vipValue":200,"vipVariableNam'
    'e":"ospfv3_delay"},"initial-hold":{"vipObjectType":"object","vipType":"constant",'
    '"vipValue":1233,"vipVariableName":"ospfv3_initial_hold"},"max-hold":{"vipObjectTy'
    'pe":"object","vipType":"ignore","vipValue":10000,"vipVariableName":"ospfv3_max_ho'
    'ld"}}}},"default-information":{"originate":{"always":{"vipObjectType":"node-only"'
    ',"vipType":"constant","vipValue":"true","vipVariableName":"ospf_originate_always"'
    '},"metric":{"vipObjectType":"object","vipType":"ignore","vipValue":"","vipVariabl'
    'eName":"ospf_originate_metric"},"metric-type":{"vipObjectType":"object","vipType"'
    ':"ignore","vipValue":"_empty","vipVariableName":"ospf_originate_metric_type"}}},"'
    'redistribute":{"vipType":"constant","vipValue":[{"protocol":{"vipObjectType":"obj'
    'ect","vipType":"constant","vipValue":"nat-route","vipVariableName":"ospf_redistri'
    'bute_protocol"},"route-policy":{"vipObjectType":"object","vipType":"ignore","vipV'
    'ariableName":"ospf_redistribute_route_policy"},"dia":{"vipObjectType":"object","v'
    'ipType":"constant","vipValue":"true","vipVariableName":"ospf_redistribute_dia"},"'
    'priority-order":["protocol","route-policy","dia"]}],"vipObjectType":"tree","vipPr'
    'imaryKey":["protocol"]},"max-metric":{"router-lsa":{"vipType":"ignore","vipValue"'
    ':[],"vipObjectType":"tree","vipPrimaryKey":["ad-type"]}},"area":{"vipType":"const'
    'ant","vipValue":[{"a-num":{"originalDefaultOption":"constant","dataPath":[],"vipO'
    'bjectType":"object","vipType":"constant","vipValue":23,"vipVariableName":"ospf_ar'
    'ea_a_num"},"stub":{"no-summary":{"vipType":"ignore","vipObjectType":"node-only"}}'
    ',"nssa":{"no-summary":{"vipType":"ignore","vipObjectType":"node-only"},"translate'
    '":{"vipType":"ignore","vipObjectType":"object"}},"normal":{"vipType":"ignore","vi'
    'pObjectType":"node-only"},"priority-order":["a-num","interface","range"],"interfa'
    'ce":{"vipType":"constant","vipValue":[{"name":{"originalDefaultOption":"constant"'
    ',"dataPath":[],"vipObjectType":"object","vipType":"constant","vipVariableName":"o'
    'spf_ospfv3_interface_name","vipValue":"FastEthernet45"},"hello-interval":{"origin'
    'alDefaultOption":"ignore","dataPath":[],"vipObjectType":"object","vipValue":10,"v'
    'ipType":"ignore","vipVariableName":"ospf_hello_interval"},"dead-interval":{"origi'
    'nalDefaultOption":"ignore","dataPath":[],"vipObjectType":"object","vipValue":40,"'
    'vipType":"ignore","vipVariableName":"ospf_dead_interval"},"retransmit-interval":{'
    '"originalDefaultOption":"ignore","dataPath":[],"vipObjectType":"object","vipValue'
    '":5,"vipType":"ignore","vipVariableName":"ospf_retransmit_interval"},"cost":{"ori'
    'ginalDefaultOption":"ignore","dataPath":[],"vipObjectType":"object","vipType":"ig'
    'nore","vipVariableName":"ospf_cost"},"network":{"originalDefaultOption":"ignore",'
    '"dataPath":[],"vipObjectType":"object","vipValue":"broadcast","vipType":"ignore",'
    '"vipVariableName":"ospf_network"},"passive-interface":{"originalDefaultOption":"i'
    'gnore","dataPath":[],"vipObjectType":"node-only","vipValue":"false","vipType":"ig'
    'nore","vipVariableName":"ospf_passive_interface"},"authentication":{"ipsec":{"spi'
    '":{"vipObjectType":"object","vipType":"ignore","vipValue":"","vipVariableName":"o'
    'spf_authentication_ipsec_spi"}}},"priority-order":["name","hello-interval","dead-'
    'interval","retransmit-interval","cost","network","passive-interface","authenticat'
    'ion"]}],"vipObjectType":"tree","vipPrimaryKey":["name"]},"range":{"vipType":"cons'
    'tant","vipValue":[{"address":{"vipObjectType":"object","vipType":"constant","vipV'
    'alue":"40.0.0.1/16","vipVariableName":"ospf_area_range_address_0"},"cost":{"vipOb'
    'jectType":"object","vipType":"ignore","vipVariableName":"ospf_area_range_cost_0"}'
    ',"no-advertise":{"vipObjectType":"node-only","vipType":"ignore","vipValue":"false'
    '","vipVariableName":"ospf_area_range_no_advertise_0"},"priority-order":["address"'
    ',"cost","no-advertise"]}],"vipObjectType":"tree","vipPrimaryKey":["address"]}}],"'
    'vipObjectType":"tree","vipPrimaryKey":["a-num"]}},"ipv6":{"router-id":{"vipObject'
    'Type":"object","vipType":"constant","vipValue":"8.8.8.8","vipVariableName":"ospfv'
    '3_router_id_ipv6"},"auto-cost":{"reference-bandwidth":{"vipObjectType":"object","'
    'vipType":"constant","vipValue":231,"vipVariableName":"ospfv3_reference_bandwidth_'
    'ipv6"}},"distance-ipv4":{"distance":{},"ospf":{"external":{},"inter-area":{},"int'
    'ra-area":{}}},"table-map":{"name":{"vipObjectType":"object","vipType":"ignore","v'
    'ipVariableName":"ospfv3_distance_name_ipv6"}},"compatible":{"rfc1583":{"vipObject'
    'Type":"object","vipType":"constant","vipValue":"true","vipVariableName":"ospfv3_r'
    'fc1583_ipv6"}},"distance-ipv6":{"ospf":{"external":{"vipObjectType":"object","vip'
    'Type":"ignore","vipValue":110,"vipVariableName":"ospfv3_distance_external_ipv6"},'
    '"inter-area":{"vipObjectType":"object","vipType":"ignore","vipValue":110,"vipVari'
    'ableName":"ospfv3_distance_inter_area_ipv6"},"intra-area":{"vipObjectType":"objec'
    't","vipType":"ignore","vipValue":110,"vipVariableName":"ospfv3_distance_intra_are'
    'a_ipv6"}},"distance":{"vipObjectType":"object","vipType":"constant","vipValue":32'
    ',"vipVariableName":"ospfv3_distance_distance_ipv6"}},"timers":{"throttle":{"spf":'
    '{"delay":{"vipObjectType":"object","vipType":"constant","vipValue":233,"vipVariab'
    'leName":"ospfv3_delay_ipv6"},"initial-hold":{"vipObjectType":"object","vipType":"'
    'constant","vipValue":1234,"vipVariableName":"ospfv3_initial_hold_ipv6"},"max-hold'
    '":{"vipObjectType":"object","vipType":"ignore","vipValue":10000,"vipVariableName"'
    ':"ospfv3_max_hold_ipv6"}}}},"redistribute":{"vipType":"constant","vipValue":[{"pr'
    'otocol":{"vipObjectType":"object","vipType":"constant","vipValue":"connected","vi'
    'pVariableName":"ospf_redistribute_protocolIpv6"},"route-policy":{"vipObjectType":'
    '"object","vipType":"constant","vipValue":"3","vipVariableName":"ospf_redistribute'
    '_route_policy_ipv6"},"priority-order":["protocol","route-policy"]}],"vipObjectTyp'
    'e":"tree","vipPrimaryKey":["protocol"]},"max-metric":{"router-lsa":{"vipType":"co'
    'nstant","vipValue":[{"ad-type":{"vipObjectType":"object","vipType":"constant","vi'
    'pValue":"on-startup"},"time":{"vipObjectType":"object","vipType":"constant","vipV'
    'alue":6,"vipVariableName":"ospf_router_lsa_time"},"priority-order":["ad-type","ti'
    'me"]}],"vipObjectType":"tree","vipPrimaryKey":["ad-type"]}},"area":{"vipType":"co'
    'nstant","vipValue":[{"a-num":{"originalDefaultOption":"constant","dataPath":[],"v'
    'ipObjectType":"object","vipType":"constant","vipValue":23,"vipVariableName":"ospf'
    '_area_a_numIpv6"},"nssa":{"no-summary":{"vipType":"constant","vipObjectType":"nod'
    'e-only","vipVariableName":"ospf_area_no_summary","vipValue":"true"},"translate":{'
    '"vipType":"constant","vipObjectType":"object","vipVariableName":"ospf_area_transl'
    'ate","vipValue":"always"}},"interface":{"vipType":"constant","vipValue":[{"authen'
    'tication":{"ipsec":{"spi":{"vipObjectType":"object","vipType":"ignore","vipValue"'
    ':"","vipVariableName":"ospf_authentication_ipsec_spi"}}},"name":{"originalDefault'
    'Option":"constant","dataPath":[],"vipObjectType":"object","vipType":"constant","v'
    'ipValue":"Ethernet3","vipVariableName":"ospf_ospfv3_interface_name_ipv6"},"hello-'
    'interval":{"originalDefaultOption":"ignore","dataPath":[],"vipObjectType":"object'
    '","vipType":"ignore","vipValue":10,"vipVariableName":"ospf_hello_interval"},"dead'
    '-interval":{"originalDefaultOption":"ignore","dataPath":[],"vipObjectType":"objec'
    't","vipType":"ignore","vipValue":40,"vipVariableName":"ospf_dead_interval"},"retr'
    'ansmit-interval":{"originalDefaultOption":"ignore","dataPath":[],"vipObjectType":'
    '"object","vipType":"ignore","vipValue":5,"vipVariableName":"ospf_retransmit_inter'
    'val"},"cost":{"originalDefaultOption":"ignore","dataPath":[],"vipObjectType":"obj'
    'ect","vipType":"ignore","vipVariableName":"ospf_cost"},"network":{"originalDefaul'
    'tOption":"ignore","dataPath":[],"vipObjectType":"object","vipType":"ignore","vipV'
    'alue":"broadcast","vipVariableName":"ospf_network"},"passive-interface":{"origina'
    'lDefaultOption":"ignore","dataPath":[],"vipObjectType":"node-only","vipType":"ign'
    'ore","vipValue":"false","vipVariableName":"ospf_passive_interface"},"priority-ord'
    'er":["name","hello-interval","dead-interval","retransmit-interval","cost","networ'
    'k","passive-interface","authentication"]}],"vipObjectType":"tree","vipPrimaryKey"'
    ':["name"]},"range":{"vipType":"constant","vipValue":[{"address":{"vipObjectType":'
    '"object","vipType":"constant","vipValue":"0::/16","vipVariableName":"ospf_area_ra'
    'nge_address_0"},"cost":{"vipObjectType":"object","vipType":"ignore","vipVariableN'
    'ame":"ospf_area_range_cost_0"},"no-advertise":{"vipObjectType":"node-only","vipTy'
    'pe":"ignore","vipValue":"false","vipVariableName":"ospf_area_range_no_advertise_0'
    '"},"priority-order":["address","cost","no-advertise"]},{"address":{"vipObjectType'
    '":"object","vipType":"constant","vipValue":"fe0a::/16","vipVariableName":"ospf_ar'
    'ea_range_address_1"},"cost":{"vipObjectType":"object","vipType":"ignore","vipVari'
    'ableName":"ospf_area_range_cost_1"},"no-advertise":{"vipObjectType":"node-only","'
    'vipType":"ignore","vipValue":"false","vipVariableName":"ospf_area_range_no_advert'
    'ise_1"},"priority-order":["address","cost","no-advertise"]}],"vipObjectType":"tre'
    'e","vipPrimaryKey":["address"]},"priority-order":["a-num","nssa","interface","ran'
    'ge"]}],"vipObjectType":"tree","vipPrimaryKey":["a-num"]}}}}}',
)
